1. Orders
Parrot External API
  • Home
  • Changelog
  • Authentication and Usage
  • Endpoints
    • Inventory Management
      • List Suppliers
      • List Supplies
      • List Supply Events
    • Orders
      • List Orders
        GET
      • V1 - List Order Items
        GET
      • V2 - List Order Items
        GET
      • List Product Types
        GET
    • Discounts
      • List Discounts
      • List Discount Usages
    • List All Stores
      GET
    • List Order Invoices
      GET
    • List Order Payments
      GET
    • List Cashier Sessions
      GET
    • List Store Users
      GET
  1. Orders

V2 - List Order Items

GET
/v2/order-items
Retrieves order items within a specified time range, with pagination support.
Note: startTimestamp and endTimestamp must be at most 48 hours apart.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2/order-items?startTimestamp=2024-03-27T19%3A00%3A00-06%3A00&endTimestamp=2024-03-28T19%3A00%3A00-06%3A00&pageSize=3&page=1&storeUUID=a2f09385-7f1b-436c-9baa-bb9cf1174c25&storeUUID=206b8416-c3c8-4053-9bdf-a11f3ddd7da1&sort=-updatedAt' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "pagination": {
        "next": 1,
        "previous": null,
        "count": 2,
        "current": 0,
        "pageSize": 100
    },
    "data": [
        {
            "createdAt": "2026-08-25T01:52:22Z",
            "updatedAt": "2026-08-25T02:39:47Z",
            "storeUuid": "fbb9f88e-0cf0-4eac-bb29-db602d517703",
            "storeName": "Cocina Parrot",
            "provider": "PARROT",
            "brandName": "Cocina Parrot",
            "brandUuid": "0f86158e-2edf-4eb8-b958-7d07c808eb5c",
            "orderUuid": "4a6953c3-4df9-4a02-8210-06ab54a37ff6",
            "orderTypeUuid": "055f9661-bd08-44a8-b190-ece87b7249e5",
            "orderTypeName": "Comer Aquí",
            "orderReference": "240826-P-0012",
            "sku": "PVA1001926",
            "productType": "Alimentos",
            "productTypeUuid": "a9c5c5d7-09f7-4d61-88a6-a13d33eec0fd",
            "uuid": "4167462c-9770-4306-993a-fabd33ffd781",
            "itemName": "Bife De Chorizo",
            "quantity": 1.00,
            "unitPrice": 749.00,
            "totalPrice": 749.00,
            "discount": 0,
            "total": 749.00,
            "taxAmount": 103.31,
            "subtotal": 645.69,
            "currencyCode": "MXN",
            "itemStatus": "ACTIVE",
            "categoryUuid": "16629cd3-1b5e-4963-af6d-6320f84bf4e4",
            "categoryName": "Carnes",
            "productUuid": "93698a73-2673-4a59-a8eb-576dd2b1f0bb",
            "createdByUserUuid": "e265213f-ec3f-4f72-8fab-ae888f13e2a6",
            "addons": [
                {
                    "currencyCode": "MXN",
                    "uuid": "f10c69d6-f268-425b-827f-3cf911aa14cf",
                    "parentUuid": "4167462c-9770-4306-993a-fabd33ffd781",
                    "totalPrice": 0.00,
                    "sku": "AR-021756402325884",
                    "itemName": "Tres Cuartos",
                    "quantity": 1.000000,
                    "unitPrice": 0.00,
                    "itemStatus": "ACTIVE"
                }
            ]
        },
        {
            "createdAt": "2026-08-25T01:39:02Z",
            "updatedAt": "2026-08-25T02:39:47Z",
            "storeUuid": "fbb9f88e-0cf0-4eac-bb29-db602d517703",
            "storeName": "Cocina Parrot",
            "provider": "PARROT",
            "brandName": "Cocina Parrot",
            "brandUuid": "0f86158e-2edf-4eb8-b958-7d07c808eb5c",
            "orderUuid": "4a6953c3-4df9-4a02-8210-06ab54a37ff6",
            "orderTypeUuid": "055f9661-bd08-44a8-b190-ece87b7249e5",
            "orderTypeName": "Comer Aquí",
            "orderReference": "240826-P-0012",
            "sku": "PVB1002893",
            "productType": "Bebidas",
            "productTypeUuid": "e2400288-93b0-4d29-8cfc-2898dd229db7",
            "uuid": "4b5bd27b-d1e0-492e-b79f-4b70825e6e20",
            "itemName": "Tamarindazo",
            "quantity": 1.00,
            "unitPrice": 208.00,
            "totalPrice": 208.00,
            "discount": 0,
            "total": 208.00,
            "taxAmount": 28.69,
            "subtotal": 179.31,
            "currencyCode": "MXN",
            "itemStatus": "ACTIVE",
            "categoryUuid": "d84ff7ff-b486-406f-81f9-2268b2682644",
            "categoryName": "Cocteles Clasicos",
            "productUuid": "66fba61f-8a92-44f8-ac00-f2462828a8fa",
            "createdByUserUuid": "e265213f-ec3f-4f72-8fab-ae888f13e2a6",
            "addons": []
        },
        {
            "createdAt": "2026-08-25T02:39:47Z",
            "updatedAt": "2026-08-25T02:39:47Z",
            "storeUuid": "fbb9f88e-0cf0-4eac-bb29-db602d517703",
            "storeName": "Cocina Parrot",
            "provider": "PARROT",
            "brandName": "Cocina Parrot",
            "brandUuid": "0f86158e-2edf-4eb8-b958-7d07c808eb5c",
            "orderUuid": "4a6953c3-4df9-4a02-8210-06ab54a37ff6",
            "orderTypeUuid": "055f9661-bd08-44a8-b190-ece87b7249e5",
            "orderTypeName": "Comer Aquí",
            "orderReference": "240826-P-0012",
            "sku": "PVA1002233",
            "productType": "Alimentos",
            "productTypeUuid": "a9c5c5d7-09f7-4d61-88a6-a13d33eec0fd",
            "uuid": "abe39614-c479-440d-ad43-3ef389e79271",
            "itemName": "Pan De Elote",
            "quantity": 1.00,
            "unitPrice": 249.00,
            "totalPrice": 249.00,
            "discount": 0,
            "total": 249.00,
            "taxAmount": 34.34,
            "subtotal": 214.66,
            "currencyCode": "MXN",
            "itemStatus": "ACTIVE",
            "categoryUuid": "c9a19cd2-bcae-4fad-9deb-26ec59e56caa",
            "categoryName": "Postres",
            "productUuid": "cfae9603-9059-45ea-995b-336b8aa242fb",
            "createdByUserUuid": "e265213f-ec3f-4f72-8fab-ae888f13e2a6",
            "addons": []
        }
    ],
    "datetime": "2026-08-26T16:00:44-06:00"
}
Modified at 2025-11-26 17:28:10
Previous
V1 - List Order Items
Next
List Product Types
Built with